Session Call

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

curl --request POST \
     --url https://api-smartflo.tatateleservices.com/v1/dialer/session_call \
     --header 'accept: application/json' \
     --header 'content-type: application/json'

📘 Important!

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Body Params)

The following parameter is required for session call:

Variable NameDescriptionData Type
startOrEnd*True if session call has to be started and false if session call has to be endedboolean
campaignIdCampaign Id where the session call is ongoingstring
logoutTrue if agent has to be logged out from sessionboolean

Response Variables

The response returned is as following:

Variable NameDescriptionData Type
SuccessThe request success status, the possible values are: True (default) for success. False for failure.Boolean
MessageThe message corresponding to the success status. For example, in 400 Response where the "success" variable pops as True, the message displayed is shown here.String
Body Params
boolean
required

True if session call has to be started and false if session call has to be ended

string
required

Campaign Id where the session call is ongoing

boolean

True if agent has to be logged out from session

Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json